/*!

	\file XMLヘルパー関数

*/

#if defined HELPER_XML_INCLUDED___
  #endinput
#endif
#define HELPER_XML_INCLUDED___


/*!

	指定のタグ名から小数点データを取得する。

*/
stock float:GetFloatData(xmltag:tag, attr[]) {

	new tmp_value[64];

	domGetTagName(tag, tmp_value);
	domGetData(tag, attr, tmp_value);

	return atof(tmp_value);

}

/*!

	指定のタグ名から整数データを取得する。

*/
stock GetNumericData(xmltag:tag, attr[]) {

	new tmp_value[64];

	domGetTagName(tag, tmp_value);
	domGetData(tag, attr, tmp_value);

	return atoi(tmp_value);

}

/*!
	タグ名をRootから検索して、その子供のタグを取得する
*/
stock xmltag:GetChildTag(const tag_name[], const id[], const advance = 0) {
	new xmltag:parent = domFindTag(domRoot(), tag_name, id);
	new xmltag:child = domFirstChild(parent);
	for (new i = 0; i < advance;i++) child = domNext(child);

	return child;
}
